/*
 *
 * (c) Copyright Ascensio System Limited 2010-2020
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/
.profile-photo-block {
  border: 1px solid #BFBFBF;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  float: left;
  margin-right: 17px;
  width: 200px;
}
.profile-photo-block .profile-user-photo {
  position: relative;
  width: 200px;
}
.profile-photo-block .profile-user-photo .profile-action-usericon {
  width: 200px;
  height: 200px;
}
.profile-photo-block .profile-user-photo .profile-action-usericon img {
  border: none;
  display: block;
  margin: 0 auto;
  max-height: 200px;
  max-width: 200px;
}
.profile-photo-block .profile-user-photo .profile-action-usericon.preview {
  overflow: hidden;
}
.profile-photo-block .profile-user-photo .profile-action-usericon.preview img {
  margin: 0;
  max-height: none;
  max-width: none;
}
.profile-photo-block .profile-user-photo .action-block {
  border-top: 1px solid #BFBFBF;
  cursor: pointer;
  padding: 8px 0;
  text-align: center;
  vertical-align: middle;
  width: 200px;
}
.profile-photo-block .profile-user-photo .action-block div {
  color: #000;
  display: inline-block;
  font-weight: bold;
  margin-top: 6px;
  vertical-align: middle;
}
@media (max-width: 1080px) {
  .profile-photo-block {
    float: none;
    margin-bottom: 24px;
  }
}
.profile-action-userdata td {
  padding: 3px 0;
}
.profile-action-userdata .HelpCenterSwitcher {
  margin: 0;
  vertical-align: bottom;
}
.profile-action-userdata .userdata-field .userdata-title {
  padding-top: 7px;
  vertical-align: top;
  white-space: nowrap;
}
.profile-action-userdata .userdata-field .userdata-value {
  padding-left: 20px;
  padding-bottom: 10px;
  width: 275px;
}
.profile-action-userdata .userdata-field .userdata-value .nochange {
  cursor: default;
  border-color: transparent;
}
.profile-action-userdata .userdata-field .userdata-value .textEdit {
  height: 16px;
  padding: 3px 9px;
  width: 275px;
}
.profile-action-userdata .userdata-field .userdata-value .textEdit.portalEmail {
  width: 140px;
}
.profile-action-userdata .userdata-field .userdata-value .textEditCalendar {
  margin-right: 5px;
}
.profile-action-userdata .userdata-field .userdata-value .requiredFieldError .textEditCalendar + .requiredErrorText {
  display: inline-block;
}
.profile-action-userdata .userdata-field .userdata-value .field-with-actions {
  margin: 3px 0px 5px;
}
.profile-action-userdata .userdata-field .userdata-value .field-with-actions .inner-text {
  max-width: 375px;
}
.profile-action-userdata .userdata-field .userdata-value .add-new-field {
  margin-top: 5px;
}
.profile-action-userdata .userdata-field .userdata-value .field-value {
  padding: 2px 0;
}
.delete-field {
  float: right;
}
.add-new-field {
  display: inline-block;
  margin-left: 3px;
}
#commentContainer textarea {
  height: 80px;
  min-width: 759px;
  padding: 5px 9px;
  resize: vertical;
}
body.media-width-0-1200 .profile-action-userdata .userdata-field .userdata-value {
  width: 292px;
}
body.media-width-0-1200 #commentContainer textarea {
  min-width: 660px;
}
.tabs-content {
  /*--------Icons for list of contacts----------*/
}
.tabs-content .field-with-actions {
  height: 23px;
  margin: 0 0 9px;
  width: 570px;
}
.tabs-content .field-with-actions .combobox-title {
  margin-top: 3px;
  /*--------Icons for title of contacts----------*/
}
.tabs-content .field-with-actions .combobox-title.mail,
.tabs-content .field-with-actions .combobox-title.extmail {
  background-position: 0 -2px;
}
.tabs-content .field-with-actions .combobox-title.phone {
  background-position: 0 -22px;
}
.tabs-content .field-with-actions .combobox-title.mobphone,
.tabs-content .field-with-actions .combobox-title.extmobphone {
  background-position: 0 -42px;
}
.tabs-content .field-with-actions .combobox-title.gmail {
  background-position: 0 -62px;
}
.tabs-content .field-with-actions .combobox-title.skype {
  background-position: 0 -82px;
}
.tabs-content .field-with-actions .combobox-title.msn {
  background-position: 0 -102px;
}
.tabs-content .field-with-actions .combobox-title.icq {
  background-position: 0 -122px;
}
.tabs-content .field-with-actions .combobox-title.jabber {
  background-position: 0 -142px;
}
.tabs-content .field-with-actions .combobox-title.aim {
  background-position: 0 -162px;
}
.tabs-content .field-with-actions .combobox-title.facebook {
  background-position: 0 -182px;
}
.tabs-content .field-with-actions .combobox-title.livejournal {
  background-position: 0 -202px;
}
.tabs-content .field-with-actions .combobox-title.myspace {
  background-position: 0 -222px;
}
.tabs-content .field-with-actions .combobox-title.twitter {
  background-position: 0 -242px;
}
.tabs-content .field-with-actions .combobox-title.blogger {
  background-position: 0 -262px;
}
.tabs-content .field-with-actions .combobox-title.yahoo {
  background-position: 0 -282px;
}
.tabs-content .field-with-actions input {
  height: 16px;
  float: right;
  margin: 0 10px;
  padding: 3px 9px;
  width: 300px;
}
.tabs-content .delete-field {
  margin-top: 3px;
  height: 16px;
}
.tabs-content .field-with-actions .combobox-title,
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item {
  background-image: url("images/social-icons-grey.png");
  background-repeat: no-repeat;
  padding-left: 24px;
}
.tabs-content .field-with-actions .combobox-container .combobox-options {
  max-height: 220px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.mail,
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.extmail {
  background-position: 0 2px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.phone {
  background-position: 0 -18px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.mobphone,
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.extmobphone {
  background-position: 0 -38px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.gmail {
  background-position: 0 -58px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.skype {
  background-position: 0 -78px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.msn {
  background-position: 0 -98px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.icq {
  background-position: 0 -118px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.jabber {
  background-position: 0 -138px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.aim {
  background-position: 0 -158px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.facebook {
  background-position: 0 -178px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.livejournal {
  background-position: 0 -198px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.myspace {
  background-position: 0 -218px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.twitter {
  background-position: 0 -238px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.blogger {
  background-position: 0 -258px;
}
.tabs-content .tl-combobox .combobox-container .combobox-options .option-item.yahoo {
  background-position: 0 -278px;
}
.field-with-actions.default {
  display: none;
}
#ui-datepicker-div {
  z-index: 10 !important;
}
#chooseGroupsSelector {
  display: inline-block;
  margin-top: 3px;
}
.departments-list li:first-child {
  margin-top: 5px;
}
#AnswerForEmail p {
  padding-top: 8px;
}
#AnswerForEmail p:first-of-type {
  padding-top: 0;
}
.moduleInfo {
  width: 100%;
  border-collapse: collapse;
}
.moduleInfo td {
  padding: 8px 0;
}
.moduleInfo .tableHead {
  border-bottom: 1px solid #83888d;
}
.moduleInfo .moduleName {
  width: 40%;
}
.moduleInfo .userType {
  width: 30%;
}
.moduleInfo .access {
  width: 16px;
  margin-right: 8px;
  display: inline-block;
  background-color: #83888D;
}
.moduleInfo .access.read {
  -webkit-mask-image: url(images/read-only.svg);
  mask-image: url(images/read-only.svg);
}
.moduleInfo .access.check {
  -webkit-mask-image: url(images/check_tick.svg);
  mask-image: url(images/check_tick.svg);
}
.text-alignment {
  padding-top: 4px;
}
#inputUserEmail,
#inputPortalEmail,
.validationField {
  position: relative;
}
#inputUserEmail .emailInfo,
#inputPortalEmail .emailInfo,
.validationField .emailInfo,
#inputUserEmail .validationText,
#inputPortalEmail .validationText,
.validationField .validationText {
  display: none;
  position: absolute;
  width: 300px;
  top: 4px;
  left: 306px;
  color: #B40404;
}
#generatedPassword {
  height: 44px;
}
.validationBlock {
  display: none;
  position: relative;
  height: 44px;
}
.validationBlock #clip {
  position: absolute;
  left: -1000px;
}
.validationBlock #copyValues {
  border-bottom: 1px dotted black;
  cursor: pointer;
}
.validationBlock #copyValues.disabled {
  pointer-events: none;
  cursor: default;
  text-decoration: none;
  color: #aaa;
}
.validationBlock #password {
  position: relative;
  width: 139px;
  padding-right: 30px;
}
.validationBlock #bubleBlock {
  position: absolute;
  left: 214px;
  top: -4px;
}
.validationBlock #bubleBlock #passwordInfo {
  width: 180px;
  padding: 8px 12px 10px;
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.5);
  position: relative;
  background: white;
}
.validationBlock #bubleBlock #passwordInfo :before,
.validationBlock #bubleBlock #passwordInfo :after {
  content: '';
  position: absolute;
  background: white;
  left: -5px;
  top: 12px;
  width: 10px;
  height: 10px;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
  z-index: -1;
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
}
.validationBlock #bubleBlock #passwordInfo :before {
  z-index: 1;
  box-shadow: none;
}
.validationBlock #bubleBlock #passwordInfo .infoItem {
  color: #A9ADB0;
  padding-left: 6px;
}
.validationBlock #bubleBlock #passwordInfo .infoItem.red {
  color: #B40404;
}
.validationBlock #bubleBlock #passwordInfo .infoItem.green {
  color: #44BB00;
}
.validationBlock .validationProgress {
  position: absolute;
  width: 0px;
  max-width: 180px;
  height: 2px;
  top: 23px;
}
.validationBlock .infoPanel {
  display: none;
  background: white;
  width: 178px;
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.5);
}
.validationBlock .infoChecking {
  margin-left: 4px;
  display: inline-block;
}
.validationBlock .infoChecking#passwordGen {
  width: 16px;
  background-color: #83888D;
  -webkit-mask-image: url(images/rotate.svg);
  mask-image: url(images/rotate.svg);
}
.validationBlock input[type="checkbox"] {
  display: none;
}
.validationBlock #passwordShowLabel {
  position: absolute;
  top: 4px;
  left: 156px;
  width: 16px;
  background-color: #83888D;
}
.validationBlock #passwordShowLabel.show {
  -webkit-mask-image: url(images/access-deny.svg);
  mask-image: url(images/access-deny.svg);
}
.validationBlock #passwordShowLabel.hide {
  -webkit-mask-image: url(images/read-only.svg);
  mask-image: url(images/read-only.svg);
}
.validationBlock #passwordShowLabel::before {
  content: "\00a0";
}
